/* Ordina le parole in modo lessicografico */ 
#include "sort.h"

int main(void){
	char word[MAXWORD]; 	// Workspace
	char *w[N];		// Array of pointers
	int n;
	int i;

	for(i=0; scanf("%s",word) == 1; ++i){
		if(i>=N)
			error_exit_too_many_words();
		if(strlen(word) >= MAXWORD)		// Notice: use of function strlen()
			error_exit_word_too_long();
		w[i]=calloc(strlen(word) + 1, sizeof(char));	// Memory allocation for word
		if(w[i]==NULL)
			error_exit_calloc_failed();
		strcpy(w[i],word);			// Notice: use of function strcpy()
	}
	n=i;
	sort_words(w,n);	// Sort words
	wrt_words(w,n);		// Print sorted words

	return 0;
}

// gcc main.c error.c sort.c swap.c wrt.c -o sort_words
// ./sort_words < inputFile.txt
